API reference
Send a campaign
Starts asynchronous recipient processing for a draft campaign.
Authorization
apiKey AuthorizationBearer <token>
A scoped fd_test_ or fd_live_ server credential.
In: header
Path Parameters
workspace_id*string
Opaque workspace identifier.
Match
^ws_campaign_id*string
Opaque campaign identifier.
Match
^cmp_Header Parameters
Idempotency-Key?string
Stable key identifying this logical mutation for safe retries.
Length
8 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspaces/ws_01JEXAMPLE/campaigns/cmp_01JEXAMPLE/send" \ -H "Content-Type: application/json" \ -d '{ "integration_slug": "string" }'{ "data": { "id": "op_01JEXAMPLE", "object": "operation", "type": "campaign_send", "status": "queued", "created_at": "2019-08-24T14:15:22Z" }}
